Bug 1138357 - traceback with --auto-merge
Summary: traceback with --auto-merge
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: meld
Version: 21
Hardware: noarch
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Dominic Hopf
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-09-04 15:09 UTC by Jiri Popelka
Modified: 2014-09-30 01:59 UTC (History)
4 users (show)

Fixed In Version: meld-3.11.4-1.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-30 01:59:32 UTC


Attachments (Terms of Use)
patch (2.01 KB, patch)
2014-09-15 14:03 UTC, Jiri Popelka
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
GNOME Bugzilla 736675 None None None Never

Description Jiri Popelka 2014-09-04 15:09:39 UTC
Description of problem:
I use meld as a git merge-tool and have this (taken from [1]) in my .gitconfig

[mergetool]
  cmd = meld --auto-merge --output $MERGED $LOCAL $BASE $REMOTE --diff $BASE $LOCAL --diff $BASE $REMOTE

however on F21 it tracebacks.

[1] http://stackoverflow.com/a/22217883/2768738

Version-Release number of selected component (if applicable):
meld-3.11.1-2.fc21

Steps to Reproduce:
1. meld --auto-merge --output m l b r --diff b l --diff b r

Actual results:
Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/meld/meldapp.py", line 70, in do_command_line
    tab = self.parse_args(command_line)
  File "/usr/lib/python2.7/site-packages/meld/meldapp.py", line 275, in parse_args
    focus=i == 0)
  File "/usr/lib/python2.7/site-packages/meld/meldapp.py", line 142, in open_paths
    return window.open_paths(paths, **kwargs)
  File "/usr/lib/python2.7/site-packages/meld/meldwindow.py", line 687, in open_paths
    paths, auto_compare=auto_compare, auto_merge=auto_merge)
  File "/usr/lib/python2.7/site-packages/meld/meldwindow.py", line 633, in append_diff
    return self.append_filemerge(paths, merge_output=merge_output)
  File "/usr/lib/python2.7/site-packages/meld/meldwindow.py", line 615, in append_filemerge
    assert len(files) == 3
AssertionError

Comment 1 Jiri Popelka 2014-09-04 15:32:24 UTC
It also breaks rebase-helper, which uses meld the same way:
https://github.com/phracek/rebase-helper/blob/master/rebasehelper/diff_helper.py#L151

Comment 2 Jiri Popelka 2014-09-15 14:03:48 UTC
Created attachment 937626 [details]
patch

Patch I submitted upstream.

Comment 3 Jiri Popelka 2014-09-19 07:02:13 UTC
Has been fixed upstream in meld-3.11.4

Comment 4 Fedora Update System 2014-09-20 06:16:01 UTC
meld-3.11.4-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/meld-3.11.4-1.fc21

Comment 5 Fedora Update System 2014-09-24 15:46:44 UTC
Package meld-3.11.4-1.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing meld-3.11.4-1.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-11221/meld-3.11.4-1.fc21
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2014-09-30 01:59:32 UTC
meld-3.11.4-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.